Commit 100f84c5 authored by Nathan Owens's avatar Nathan Owens
Browse files

main/py3-meld3: upgrade to 2.0.0

Set to python3 due to upcoming python2 EOL
parent 663a1f88
Pipeline #1533 passed with stages
in 2 minutes and 31 seconds
# Contributor: Peter Bui <pnutzh4x0r@gmail.com>
# Maintainer:
pkgname=py3-meld3
_pkgname=meld3
pkgver=2.0.0
pkgrel=0
pkgdesc="An HTML/XML templating engine"
url="https://github.com/supervisor/meld3"
arch="noarch"
license="ZPL"
depends="python3"
depends_dev="python3-dev py3-setuptools"
makedepends="$depends_dev"
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
builddir="$srcdir"/$_pkgname-$pkgver
replaces="py-meld3" # Backwards compatibility
provides="py-meld3=$pkgver-r$pkgrel" # Backwards compatibility
build() {
python3 setup.py build
}
package() {
python3 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
}
sha512sums="97f1a892835b8f01dd82de681e684547f1e0b54b74ce63b92eb77fbd2fe436217b84a3c03400256ffca97add3d41e50ca563ec6f15f4f4b0fcda4e849a2d0bbf meld3-2.0.0.tar.gz"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment